#include <iostream>
#include <cstring>

int main()
{
	int n, m;

	std::cin >> n >> m;
		
	int* ucenici = new int[n];
	memset(ucenici, 0, sizeof(int) * n);

	for (int i = 0; i < n; ++i)	
		std::cin >> ucenici[i];	
	
	long long ukupnaSreca = 0;
	{		
		int a, b;
		for (int i = 0; i < m; ++i)
		{
			std::cin >> a >> b;
			--a; --b;
			int prijatelji = (ucenici[a] + ucenici[b] > 0) * 2 - 1;

			ukupnaSreca += (long long)ucenici[a] * prijatelji;
			ukupnaSreca += (long long)ucenici[b] * prijatelji;
		}
	}	

	std::cout << ukupnaSreca;

	delete[] ucenici;
	return 0;
}